<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Crypto Faucet Bot</title>
  <meta http-equiv="Content-Security-Policy" content="script-src 'self' 'unsafe-inline' 'unsafe-eval';" />
  <link rel="stylesheet" type="text/css" href="index.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>
<body>
<header class="p-2">
  <h2>Crypto Faucet Bot</h2>
  <h6 class="subTitle">(Your bot for crypto faucet)</h6>
</header>

<article class="mt-4">
  <div class="wrap">
    <div class="top">
      <div class="info m-3">
        <h2 class="header">Technical Information</h2>
        <ul class="mt-3">
          <li>Node : <script>document.write(process.versions.node)</script></li>
          <li>Chrome <script>document.write(process.versions.chrome)</script></li>
          <li>Electron <script>document.write(process.versions.electron)</script></li>
          <li>Email <script>document.write(process.env.email)</script></li>
        </ul>
      </div>

      <div>
        <h2 class="header mx-3">Bot logs</h2>
        <div id="logger" class="p-3 mt-3">
          Logs will appear here
        </div>
      </div>

      <div class="run my-3">
        <button id="run" type="button" class="btn btn-primary" onclick="runBotTest()">Run</button>
        <button id="stop" type="button" class="btn btn-danger" onclick="stop()" disabled>Stop</button>
        <!-- <button type="button" class="btn btn-outline-info" disabled>Clear logs</button> -->
      </div>

      <div>
        <h2 class="header mx-3">Support project</h2>
        <p class="m-3">
          Please support the project (and me) by using my referral links in order to create your accounts for crypto faucets
        </p>

        <div class="referral mb-3">
          <a href="https://freeethereum.com/?ref=107158" target="_blank">
            <img alt="ETH" src="https://freeethereum.com/img/freeethereum/banners/Banner468x60.jpg">
          </a>

          <a href="https://freebitcoin.io/?ref=376363" target="_blank">
            <img alt="BTC" src="https://freebitcoin.io/img/freebitcoin/banners/Banner468x60.jpg">
          </a>

          <a href="https://free-ltc.com/?ref=38234" target="_blank">
            <img alt="LTC" src="https://free-ltc.com/img/freelitecoin/banners/Banner468x60.jpg">
          </a>
          
          <a href="https://freebinancecoin.com/?ref=77687" target="_blank">
            <img src="https://freebinancecoin.com/img/freebinancecoin/banners/Banner468x60.jpg">
          </a>

          <a href="https://freedash.io/?ref=59475" target="_blank">
            <img src="https://freedash.io/img/freedash/banners/Banner468x60.jpg">
          </a>

          <a href="https://freecardano.com/?ref=253723" target="_blank">
            <img src="https://freecardano.com/img/freecardano/banners/Banner468x60.jpg">
          </a>

          <a href="https://freetether.com/?ref=119712" target="_blank">
            <img src="https://freetether.com/img/freetether/banners/Banner468x60.jpg">
          </a>

          <a href="https://freeusdcoin.com/?ref=80753" target="_blank">
            <img src="https://freeusdcoin.com/img/freeusdcoin/banners/Banner468x60.jpg">
          </a>

          <a href="https://free-tron.com/?ref=111513" target="_blank">
            <img src="https://free-tron.com/img/freetron/banners/Banner468x60.jpg">
          </a>

          <a href="https://freenem.com/?ref=255567" target="_blank">
            <img src="https://freenem.com/img/freenem/banners/Banner468x60.jpg">
          </a>

          <a href="https://freechainlink.io/?ref=38912" target="_blank">
            <img src="https://freechainlink.io/img/freechain/banners/Banner468x60.jpg">
          </a>

          <a href="https://freeneo.io/?ref=47191" target="_blank">
            <img src="https://freeneo.io/img/freeneo/banners/Banner468x60.jpg">
          </a>

        </div>

      </div>

    </div>
  </div>
</article>

<footer class="pb-3 pt-5 wrap text-center">
  <p>
    Made by Antoine Arnoult
  </p>
  <a href="https://twitter.com/ArnoultAntoine" target="_blank">
    <img alt="Twitter" src="https://www.flaticon.com/svg/static/icons/svg/124/124021.svg" width="50">
  </a>
  <a href="https://www.linkedin.com/in/antoine-arnoult/" target="_blank">
    <img alt="Linkedin" src="https://www.flaticon.com/svg/static/icons/svg/174/174857.svg" width="50">
  </a>
</footer>

<script src="cfb-engine.js"></script>

</body>
</html>
